This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 216723 - (libsieve) Review Request: libsieve - A library for parsing, sorting and filtering your mail
Review Request: libsieve - A library for parsing, sorting and filtering your ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT dbmail
  Show dependency treegraph
 
Reported: 2006-11-21 13:10 EST by Bernard Johnson
Modified: 2014-08-22 08:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 04:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Mock build log of libsieve-2.2.4-1.fc7 (60.01 KB, text/plain)
2007-01-28 12:45 EST, Mamoru TASAKA
no flags Details
possible patch for cflags (3.90 KB, patch)
2007-01-28 15:56 EST, Bernard Johnson
no flags Details | Diff

  None (edit)
Description Bernard Johnson 2006-11-21 13:10:36 EST
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve.spec
SRPM URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.1.13-1.1.src.rpm
Description: 

libSieve provides a library to interpret Sieve scripts, and to execute those
scripts over a given set of messages. The return codes from the libSieve
functions let your program know how to handle the message, and then it's up to
you to make it so. libSieve makes no attempt to have knowledge of how SMTP,
IMAP, or anything else work; just how to parse and deal with a buffer full of
emails. The rest is up to you!
Comment 1 Parag AN(पराग) 2006-11-25 12:19:26 EST
Is this your first package? Not able to see you in any existing package owner.
If you are first time submitter then i can not officially review this package.
Comment 2 Parag AN(पराग) 2006-11-25 12:48:09 EST
you need to correct SPEC. I got following rpmlint warnings on binary rpm

W: libsieve incoherent-version-in-changelog 2.1.13-1.1.sc 2.1.13-1.1
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.
==> Remove .sc from Chnagelog

W: libsieve devel-file-in-non-devel-package /usr/lib/libsieve.so
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.
==> .so files are part of -devel packages.

W: libsieve one-line-command-in-%post /sbin/ldconfig
You should use %post -p <command> instead of using:

%post
<command>

It will avoid the fork of a shell interpreter to execute your command as
well as allows rpm to automatically mark the dependency on your command.

==>Use %post -p /sbin/ldconfig
Comment 3 Bernard Johnson 2006-11-25 13:31:24 EST
> Is this your first package? Not able to see you in any existing package owner.
> If you are first time submitter then i can not officially review this package.

Yes, it's the first package I've submitted to FE.
Comment 5 Parag AN(पराग) 2006-11-25 21:51:19 EST
Moving this package status from FE-REVIEW to FE-NEW.
Comment 6 Parag AN(पराग) 2006-11-25 22:09:59 EST
Now its looking better. rpmlints are silent now.
More (unofficial)review will do later on.
Comment 7 Bernard Johnson 2006-12-12 01:59:49 EST
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.1.13-3.src.rpm

* Mon Dec 11 2006 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-3
- added repotag for anyone who may want to use it
- move ldconfig calls to post and postun with -p
- minor spec file cleanups
Comment 8 Bernard Johnson 2006-12-12 02:01:20 EST
Bad URL for srpm.  Try this instead.
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.1.13-3.fc6.src.rpm
Comment 9 Mamoru TASAKA 2007-01-27 19:12:09 EST
Well,
* Why do you call autoconf while there is a original
 "configure" script?
* Remove static archive (*.a)
* Usually the dependency for the main package should be given
  with full version-release dependency.
* Please specify the URL of SOURCE0
* Is %repotag needed? As least this is not needed for
  Fedora.
* And.. I don't know, however are many files under www/ or
  rfc/ can be ignored?
Comment 10 Bernard Johnson 2007-01-27 20:11:05 EST
(In reply to comment #9)
> Well,
> * Why do you call autoconf while there is a original
>  "configure" script?

At one point I was using a newer release that did not have a configure script. 
I forgot to change it back.  Fixed.

> * Remove static archive (*.a)

Fixed.

> * Usually the dependency for the main package should be given
>   with full version-release dependency.

Fixed.

> * Please specify the URL of SOURCE0

Fixed.

> * Is %repotag needed? As least this is not needed for
>   Fedora.

No, at the moment it's for my convenience so I don't need two spec files for
non-FE builds.

> * And.. I don't know, however are many files under www/ or
>   rfc/ can be ignored?

www files are the smarty templated files that are for the web pages hosted at
sf.net.

In my opinion the RFCs should not be included.
rfc/README:
These RFC's are copied here for convenience only!
In no way does the libSieve project make any claims
as to ownership, authorship or stewardship over
these documents. Please do not make reference to
this "mini-repository" in any way; rather,
point to the home repository hosted by the IETF:

http://www.ietf.org/internet-drafts/



Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.1.13-4.fc6.src.rpm

* Sat Jan 27 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.1.13-4
- add fully versioned dependency on main package for -devel
- remove .a library from -devel
- do not call autoconf, use configure file
- direct download url for source0
- remove buildrequires for autoconf and m4
Comment 11 Mamoru TASAKA 2007-01-28 00:13:27 EST
Well,

* License
  - Some sources are not licensed under LGPL.
    + GPL
      sv_util/*print*.[hc]
      sv_util/xsize.h

    As GPL is more strict than LGPL, please modify
    the whole license of this package to GPL
    (not a blocker, however, would you tell upstream
     about this? License text is LGPL, however this
     package is surely GPL)

* Timestamps
  - This package installs several header files, and
    in that case keeping timestamps on these files
    are preferred. For this package,
--------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
--------------------------------------------------
    will keep timestamps.

* Source:
  - It seems that the newest is 2.2.4.
Comment 12 Bernard Johnson 2007-01-28 11:58:50 EST
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.2.4-1.fc6.src.rpm

* Sun Jan 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-1
- 2.2.4
- change license to GPL based on
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216723#c11
- install files preserving timestamps
Comment 13 Bernard Johnson 2007-01-28 12:02:09 EST
(In reply to comment #11)
> * License
>   - Some sources are not licensed under LGPL.
>     + GPL
>       sv_util/*print*.[hc]
>       sv_util/xsize.h
> 
>     As GPL is more strict than LGPL, please modify
>     the whole license of this package to GPL
>     (not a blocker, however, would you tell upstream
>      about this? License text is LGPL, however this
>      package is surely GPL)

I sent a message to the author.  He's usually pretty responsive, so we'll see
what he has to say.
Comment 14 Mamoru TASAKA 2007-01-28 12:45:00 EST
Created attachment 146773 [details]
Mock build log of libsieve-2.2.4-1.fc7

Mockbuild log of libsieve-2.2.4-1 on FC-devel
i386.

Fedora specific compilation flags are not passed.
Please check how CFLAGS, etc are treated.
Comment 15 Bernard Johnson 2007-01-28 15:56:44 EST
Created attachment 146783 [details]
possible patch for cflags

Would this patch be considered acceptable or do I need to fix autotools and
regenerate everything?
Comment 16 Mamoru TASAKA 2007-01-29 02:33:12 EST
(In reply to comment #15)
> Created an attachment (id=146783) [edit]
> possible patch for cflags
> 
> Would this patch be considered acceptable or do I need to fix autotools and
> regenerate everything?

Well, we recommend _not_ to use autotool. Your patch is
good, however, when I checked your patch, the following may
be simpler.
----------------------------------------------------------
%prep 
%setup -q

%{__sed} -i.cflags \
	 -e 's|^\(CFLAGS = -Wall\)|\1 @CFLAGS@|' \
	 `find . -name Makefile -or -name Makefile.in`
----------------------------------------------------------
Comment 17 Bernard Johnson 2007-01-29 02:58:49 EST
(In reply to comment #16)
> %{__sed} -i.cflags \
> 	 -e 's|^\(CFLAGS = -Wall\)|\1 @CFLAGS@|' \
> 	 `find . -name Makefile -or -name Makefile.in`

That works for me.

Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/libsieve-2.2.4-2.fc6.src.rpm

* Mon Jan 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 2.2.4-2
- add note regarding why license tag is GPL
- sed surgery on Makefile.in files so that CFLAGS is passed properly
Comment 18 Mamoru TASAKA 2007-01-29 03:38:52 EST
Okay.

* The issues for this package are all now fixed.
* Your other package review requests or your pre-reviews seem
  to be of quality to a certain extent.

-------------------------------------------------------
  This package (libsieve) is APPROVED by me.
-------------------------------------------------------

Please follow http://fedoraproject.org/wiki/Extras/Contributors .
I will sponsor you when you do a procedure and I receive
a mail which tells that you need a sponsor.
Comment 19 Mamoru TASAKA 2007-01-29 13:12:37 EST
Removing NEEDSPONSOR as I am sponsoring now
Comment 20 Bernard Johnson 2007-02-20 20:32:42 EST
Additional Branches: FC-5
Comment 21 Bernard Johnson 2007-03-07 13:56:34 EST
Additional Branches: EL-4, EL-5
Comment 22 Bernard Johnson 2014-08-21 22:07:36 EDT
Additional Branches: EL-7
Comment 23 Bernard Johnson 2014-08-21 22:12:49 EDT
Package Change Request
======================
Package Name: libsieve
New Branches: epel7
Owners: bjohnson
Comment 24 Jon Ciesla 2014-08-22 08:04:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.